Bug 117075 - With Gnome's icon view default zoom level set to 75% or less, Nautilus fails to render text in the tiny preview box on Bluecurve file icons without zooming in and out first.
With Gnome's icon view default zoom level set to 75% or less, Nautilus fails ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-27 18:52 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 14:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Diagram 1 (134.24 KB, image/png)
2004-02-28 09:33 EST, Need Real Name
no flags Details
Diagram 2 (75.36 KB, image/png)
2004-02-28 09:35 EST, Need Real Name
no flags Details
Diagram 2 (75.36 KB, image/png)
2004-02-28 09:40 EST, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-02-27 18:52:52 EST
I'm not sure if this bug lies with Nautilus, redhat-artwork, or a
window renderer or what really.

If you have Gnome's default icon view zoom level set at anything below
100% (I have mine at 75%, achieved through HAT>>Preferences>>More
Preferences>>File Management), and then proceed to open Naultilus say
from the "<username>'s home" link on the desktop, notice the bluecurve
 text file icons (they're the two-tone icons consisting of a white
document in the background, and a blue translucent panel on top of it).

At 100% icon zoom level or above, the blue translucent panel displays
a preview, albeit of only a few characters, of the contents of the
document. However, at 75% or less, it only displays three dots on the
blue translucent panel on the icon. 

However, if you then use the zoom button near the top of the Nautilus
window to zoom in once, and then back out to 75%, the dots change to a
preview of the characters in the document - something I believe it
should have show initially on opening Nautilus.

Version-Release number of selected component (if applicable): 

nautilus-2.4.0-7 (not sure if bug resides in this though)

Reproducible: Every time.

Steps to Reproduce:

1.Set Gnome Default Icon Zoom level to >100% i.e. 75% or less in
HAT>>PREFERENCES>>MORE PREFERENCES>>FILE MANAGEMENT

2.Open up Naultilus and navigate to a directory that contains
Bluecurve text document icons with the blue translucent panel over a
white document. Notice the three dots on the blue panel instead of a
preview of characters in the file.

3.Zoom in once and then back out using the zoom buttons in the
nautilus window and the character preview on the bluecurve text icon
that should have appeared initally, now actually do appear. I think
the character preview on the icon should have been there from the start.
Comment 1 Need Real Name 2004-02-28 09:33:29 EST
Created attachment 98120 [details]
Diagram 1

Diagrams to explain more clearly (1)
Comment 2 Need Real Name 2004-02-28 09:35:56 EST
Created attachment 98121 [details]
Diagram 2

Diagrams to explain more clearly (2)
Comment 3 Need Real Name 2004-02-28 09:40:18 EST
Created attachment 98122 [details]
Diagram 2

Diagrams to explain more clearly (2)
Comment 4 Matthew Miller 2006-07-11 13:34:37 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 5 John Thacker 2006-10-28 14:54:53 EDT
Closing per lack of response to prior request.  

Note that FC1 and FC2 are no longer supported even by Fedora Legacy.  Please
install a still supported version and retest.  If this still occurs on FC3 or
FC4 and is a security issue, please assign to that version and Fedora Legacy. 
If it still occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.